# - Try to find Mozilla NSS

include(FindPkgConfig)
# FIXME: maybe a minimal version would be wise...
pkg_check_modules (NSS  nss)

if (NOT NSS_FOUND)
  set(NSS_INCLUDES nss.h nspr.h)
  set(NSS_LIBS nss3 nssutil3 smime3 ssl3 plds4 plc4 nspr4)

  foreach(include ${NSS_INCLUDES})

    find_path(NSS_${include}_INCLUDE ${include}
      HINTS ${NSS_INCLUDEDIR}
      ${NSS_INCLUDEDIR}/nspr)

    if(NSS_${include}_INCLUDE)
      set(NSS_INCLUDE_DIRS ${NSS_INCLUDE_DIRS};${NSS_${include}_INCLUDE})
    else(NSS_${include}_INCLUDE)
      message(STATUS "Could not find NSS include: ${include}")
      return()
    endif(NSS_${include}_INCLUDE)

  endforeach(include)

  foreach(lib ${NSS_LIBS})

    find_library(NSS_${lib}_LIBRARIE ${lib}
      HINTS ${NSS_LIBDIR})

    if(NSS_${lib}_LIBRARIE)
      set(NSS_LIBRARIES ${NSS_LIBRARIES};${NSS_${lib}_LIBRARIE})
    else(NSS_${lib}_LIBRARIE)
      message(STATUS "Could not find NSS library: ${lib}")
      return()
    endif(NSS_${lib}_LIBRARIE)

  endforeach(lib)

  include(FindPackageHandleStandardArgs)

  find_package_handle_standard_args(NSS
    REQUIRED_VARS NSS_INCLUDE_DIRS NSS_LIBRARIES
    )
endif (NOT NSS_FOUND)
